package common.util.file;

import java.io.BufferedReader;
import java.io.IOException;
import java.nio.charset.Charset;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.ArrayList;

public class FileUtilNew {


	public static ArrayList<String> readLines(String fpath, String encode)throws IOException {

		Path path = Paths.get( fpath );

		String line = "" ;

		ArrayList<String> lines = new ArrayList<String>();

   		 try (BufferedReader reader = Files.newBufferedReader(path, Charset.forName(encode))){
			while((line = reader.readLine())!= null){
				lines.add(line);
			}
		}
	    return lines ;
	}
}
