package common.util.regexp;

import java.util.ArrayList;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class RegexpUtil {

	public String find(String regexp, 	ArrayList<String> dataList ) {
		Pattern pattern = Pattern.compile(regexp);

		for(String line : dataList){
			Matcher matcher = pattern.matcher(line);
			if (matcher.find()){
				return line ;
			}
		}
		return null  ;

	}
}
