package common.msg;

import java.util.ArrayList;
import java.util.Properties;

public class MsgUtil {
	 /** 付加情報マーク */
	static private final String mark = "@@";

    public String getMsg(Properties msgprop, String msgid, ArrayList<String> addmsgList) {

        //編集元メッセージテキストを取得
        String src = "";

        src = (String)msgprop.get(msgid);

        if (src == null) {
            //当該IDのメッセージが無い
            return src;
        }

        if (addmsgList == null) {
            return src;
        }
		if (addmsgList.size() == 0){
			return src;
		}
        StringBuffer sbf = new StringBuffer(src);

        for(int i=0; i < addmsgList.size() ; i++) {
            int idx = sbf.toString().indexOf(mark);

            if (idx == -1) {
                break; //マークが無いので終了
            }
            String addtxt = addmsgList.get(i) ;
            if (addtxt.length() == 0){
            	addtxt = "[空文字]";
            }
			sbf = sbf.replace(idx, idx + mark.length(), addtxt);
        }
		String txt = sbf.toString();

//		// 末尾の"@@" は、取り除く
//		if (txt.endsWith(mark)){
//			txt.replace(mark,  "");
//		}

        return txt;
    }

}
